Bug 33974 - libvirt-0.9.12 FTBFS with linux-libc-dev-3.10.11
libvirt-0.9.12 FTBFS with linux-libc-dev-3.10.11
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 3.2
All Linux
: P5 normal (vote)
: UCS 3.2-4-errata
Assigned To: Philipp Hahn
Erik Damrose
:
Depends on:
Blocks: 30788 33323
  Show dependency treegraph
 
Reported: 2014-01-22 16:44 CET by Philipp Hahn
Modified: 2015-02-09 12:32 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Fix FTBFS (1.65 KB, patch)
2014-01-22 16:44 CET, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-01-22 16:44:34 CET
Created attachment 5742 [details]
Fix FTBFS

configure:54531: gcc -std=gnu99 -c -g -O2 -g -Wall -O2  conftest.c >&5
In file included from conftest.c:527:
/usr/include/linux/if_bridge.h:183: error: field 'ip6' has incomplete type

This is because /usr/include/linux/if_bridge.h uses "struct in6_addr", which is not defined in any header file included. (Depending on if that file is used in User-Space or Kernel-Space, different definitions apply and different headers must be included, either <linux/in6.h> or <netinet/in.h>.

<http://www.spinics.net/lists/netdev/msg222359.html> comtains a linkt to RedHat's kernel bug. It is still not fixed in the Kernel.

libvirt implemented a work-around: 
  git show -p c308a9ae 1bf661ca > libvirt-ftbfs.patch


This is due to the new linux-3.10 kernel, see Bug #33924.
Comment 1 Philipp Hahn univentionstaff 2014-12-03 12:21:19 CET
r14077 | Bug #33974 libvirt: FTBFS if_bridge.h

Package: libvirt
Version: 0.9.12-5.130.201412031139
Branch: ucs_3.2-0
Scope: errata3.2-4

r56409 | Bug #33974 libvirt: FTBFS if_bridge.h
 2014-12-03-libvirt.yaml
Comment 2 Erik Damrose univentionstaff 2015-01-22 17:26:25 CET
OK: Build works with UCS 3.2
OK: No further changes since last build in ucs3.1-1:
diff -Nau 3.1-0-0-ucs/0.9.12-5-ucs3.1-1/ 3.2-0-0-ucs/0.9.12-5-errata3.2-4/
OK: YAML
-> Verified
Comment 3 Moritz Muehlenhoff univentionstaff 2015-02-09 12:32:00 CET
http://errata.univention.de/ucs/3.2/282.html